### Method

# FwupdPlugin Context get_default_esp

since: 2.0.0

#### Declaration [src]

    FuVolume*
    fu_context_get_default_esp (
      FuContext* self
      GError** error
    )

#### Description [src]

Finds the volume that represents the ESP that plugins should nominally use for accessing storing data.

Available since: 2.0.0

#### Return value

Type: `FuVolume`

A volume, or `NULL` if no ESP was found.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.